Subject: [bug#28170] Add gnutls/dane + use it where its needed (gnurl, libmicrohttpd, gnunet)

From: ng0 <[email-masked]>
Date: Sat, 30 Sep 2017 12:23:09 +0000

Christopher Baines transcribed 2.1K bytes:
> On Mon, 21 Aug 2017 09:57:26 +0000
> ng0 <[email-masked]> wrote:
> 
> > The dependency chain of GNUnet demands GnuTLS with DANE support.
> > You can use it without DANE, but there are certain parts which
> > will not work. DANE is recommended. (ports of FREEBSD uses
> > gnutls-dane for libmicrohttpd aswell for example).
> 
> > From c9dedfd1a6f91d557006b00505a428be84102b1e Mon Sep 17 00:00:00 2001
> > From: ng0 <[email-masked]>
> > Date: Mon, 21 Aug 2017 09:28:51 +0000
> > Subject: [PATCH 1/4] gnu: gnutls: Add 'gnutls-dane'.
> > 
> > * gnu/packages/tls.scm (gnutls/dane): New variable.
> 
> Hey, so I'm trying to do some reviewing.
> 
> What was your reasoning for creating a new gnutls/dane package, rather
> than adding unbound to the existing gnutls package?
> 
> I don't know much about GnuTLS, but it would be good to make it clear
> why this approach was taken, especially in the commit message and by
> the gnutls/dane package definition.

Honestly, I did not want to touch the gnutls package for this.
I wanted to leave the option open to have gnutls without dane.
Sure, it's a useful feature. If you think I should apply it
directly to gnutls, tell me and I'll send a new patch.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://krosos.org